import type { SaleDetailActionButtonItem, SaleDetailContext } from './types';
interface SaleDetailActionContextProps {
    context: SaleDetailContext;
}
interface EditBookingActionProps extends SaleDetailActionContextProps {
    onAfterEdit?: () => void | Promise<void>;
}
export declare function useEditActionItem({ context, onAfterEdit, }: EditBookingActionProps): SaleDetailActionButtonItem;
export declare function useReturnActionItem({ context, onAfterEdit, }: EditBookingActionProps): SaleDetailActionButtonItem;
export declare function useRefundActionItem({ context, }: SaleDetailActionContextProps): SaleDetailActionButtonItem;
export declare function useCancelActionItem({ context, }: SaleDetailActionContextProps): SaleDetailActionButtonItem;
export declare function useNoteActionItem({ context, }: SaleDetailActionContextProps): SaleDetailActionButtonItem;
export declare function useSaveActionItem({ context, }: SaleDetailActionContextProps): SaleDetailActionButtonItem;
export declare function useCheckoutActionItem({ context, }: SaleDetailActionContextProps): SaleDetailActionButtonItem;
export declare function useCheckoutCartActionItem({ context, }: SaleDetailActionContextProps): SaleDetailActionButtonItem;
export {};
